%define oversion 1.46.6
%define url http://prdownloads.sourceforge.net/e2fsprogs
%define	_root_sbindir	/sbin
%define	_root_libdir	/%_lib
%define major 2
%define libname %mklibname ext2fs %major
%define	devname	%mklibname ext2fs -d
%define devnameold %{mklibname ext2fs 2}-devel

%define git_url git://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git

Name: e2fsprogs
Version: 1.47.0
Release: %mkrel 2
Summary: Utilities used for ext2/ext3/ext4 filesystems
License: GPL
Group: System/Kernel and hardware
Source0: https://www.kernel.org/pub/linux/kernel/people/tytso/%{name}/v%{version}/%{name}-%{oversion}.tar.xz
Source1: e3jsize
Source2: e2fsck.conf
Patch0: e2fsprogs-1.42.9-uninitialized.patch
Patch1:	0001-remove-local-PATH.patch
Url: http://e2fsprogs.sourceforge.net/
BuildRequires:	texinfo
BuildRequires:	autoconf
BuildRequires:	m4
BuildRequires:	gettext
BuildRequires:	bzip2
BuildRequires:	git-core
BuildRequires:	lib64attr1-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(fuse)
BuildConflicts: glibc-static-devel

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

%package -n %libname
Summary: The libraries for Ext2fs
Group: System/Libraries
Requires: e2fsprogs

%description -n %libname
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

This package contains the shared libraries.

%package -n %{devname}
Summary: The libraries for Ext2fs
Group: Development/Libraries
Requires:  %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel
Provides:  %{name}-devel = %{version}-%{release}
Provides:  libext2fs-devel = %{version}-%{release}
Provides:  libe2fsprogs-devel = %{version}-%{release}
Provides:  ext2fs-devel = %{version}-%{release}

%description -n %{devname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

You should install %libname to use tools that compile with ext2fs
features.

%prep
%setup -qn %{name}-%{oversion}
%apply_patches

rm -f configure
autoconf

# Fix build:
chmod 644 po/*.po

%build
%configure2_5x \
	--enable-elf-shlibs \
	--disable-libblkid \
	--disable-libuuid \
	--disable-fsck \
	--disable-uuidd \
	--enable-symlink-install

%make_build
%__make -C e2fsck e2fsck.static


%install
export PATH=/sbin:$PATH

%make_install install-libs \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

for i in libcom_err.so.2 libe2p.so.2 libext2fs.so.2 libss.so.2; do
	ln -s $i %{buildroot}%{_root_libdir}/${i%.[0-9]}
done

rm -f	%{buildroot}%{_libdir}/libss.a \
	%{buildroot}%{_root_libdir}/libcom_err.so \
	%{buildroot}%{_root_libdir}/libe2p.so \
	%{buildroot}%{_root_libdir}/libext2fs.so \
	%{buildroot}%{_root_libdir}/libss.so

# multiarch policy, alternative is to use <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/ext2fs/ext2_types.h

%find_lang %{name}

chmod +x %{buildroot}%_bindir/{mk_cmds,compile_et}

install -m 755 e2fsck/e2fsck.static %{buildroot}%{_root_sbindir}
install -m 755 %{SOURCE1} %{buildroot}%{_root_sbindir}
ln -f %{buildroot}%{_root_sbindir}/mke2fs %{buildroot}%{_root_sbindir}/mke3fs
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}

ln -fs %{_bindir}/fuse2fs %{buildroot}/%{_sbindir}/fuse2fs

rm -f %{buildroot}/%{_sysconfdir}/cron.d/e2scrub_all
rm -f %{buildroot}/lib/udev/rules.d/96-e2scrub.rules
rm -f %{buildroot}/%_root_sbindir/e2scrub
rm -f %{buildroot}/%_root_sbindir/e2scrub_all


%post -n %{devname}
%_install_info libext2fs.info

%preun -n %{devname}
%_remove_install_info libext2fs.info


%files -f %name.lang
%_root_sbindir/badblocks
%_root_sbindir/debugfs
%_root_sbindir/dumpe2fs
%_root_sbindir/e2fsck
%_root_sbindir/e2fsck.static
%_root_sbindir/e2image
%_root_sbindir/e2label
%_root_sbindir/e2undo
%_root_sbindir/e3jsize
%_root_sbindir/fsck.ext2
%_root_sbindir/fsck.ext3
%_root_sbindir/fsck.ext4
%_root_sbindir/logsave
%_root_sbindir/mke2fs
%_root_sbindir/mke3fs
%_root_sbindir/mkfs.ext2
%_root_sbindir/mkfs.ext3
%_root_sbindir/mkfs.ext4
%_root_sbindir/resize2fs
%_root_sbindir/tune2fs
%{_sysconfdir}/*.conf


%{_bindir}/chattr
%{_bindir}/lsattr
%{_mandir}/man1/chattr.1*
%{_mandir}/man1/fuse2fs.1*
%{_mandir}/man1/lsattr.1*
%{_mandir}/man5/e2fsck.conf.5*
%{_mandir}/man5/ext2.5*
%{_mandir}/man5/ext3.5*
%{_mandir}/man5/ext4.5*
%{_mandir}/man5/mke2fs.conf.5*
%{_mandir}/man8/badblocks.8*
%{_mandir}/man8/debugfs.8*
%{_mandir}/man8/dumpe2fs.8*
%{_mandir}/man8/e2freefrag.8*
%{_mandir}/man8/e2fsck.8*
%{_mandir}/man8/e2image.8*
%{_mandir}/man8/e2label.8*
%{_mandir}/man8/e2mmpstatus.8*
%{_mandir}/man8/e2scrub.8.*
%{_mandir}/man8/e2scrub_all.8.*
%{_mandir}/man8/e2undo.8.*
%{_mandir}/man8/e4crypt.8.*
%{_mandir}/man8/e4defrag.8.*
%{_mandir}/man8/filefrag.8*
%{_mandir}/man8/fsck.ext2.8*
%{_mandir}/man8/fsck.ext3.8*
%{_mandir}/man8/fsck.ext4.8.*
%{_mandir}/man8/logsave.8*
%{_mandir}/man8/mke2fs.8*
%{_mandir}/man8/mkfs.ext2.8*
%{_mandir}/man8/mkfs.ext3.8*
%{_mandir}/man8/mkfs.ext4.8.*
%{_mandir}/man8/mklost+found.8*
%{_mandir}/man8/resize2fs.8*
%{_mandir}/man8/tune2fs.8*
%{_sbindir}/e2freefrag
%{_sbindir}/e4crypt
%{_sbindir}/e4defrag
%{_sbindir}/filefrag
%{_sbindir}/fuse2fs
%{_bindir}/fuse2fs
%{_sbindir}/mklost+found
%_root_sbindir/e2mmpstatus


%files -n %{libname}
%{_root_libdir}/libcom_err.so.%{major}
%{_root_libdir}/libe2p.so.%{major}
%{_root_libdir}/libext2fs.so.%{major}
%{_root_libdir}/libss.so.%{major}
%{_root_libdir}/libcom_err.so.%{major}.*
%{_root_libdir}/libe2p.so.%{major}.*
%{_root_libdir}/libext2fs.so.%{major}.*
%{_root_libdir}/libss.so.%{major}.*
%{_libdir}/e2initrd_helper
%{_libdir}/%{name}/e2scrub_all_cron

%files -n %{devname}
%{_infodir}/libext2fs.info*
%{_bindir}/compile_et
%{_mandir}/man1/compile_et.1*
%{_bindir}/mk_cmds
%{_mandir}/man1/mk_cmds.1*
%{_libdir}/pkgconfig/*

%{_libdir}/libcom_err.so
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.a
%{_libdir}/libext2fs.so
%{_libdir}/libcom_err.a
%{_libdir}/libss.so

%{_datadir}/et
%{_datadir}/ss
%{_includedir}/et
%{_includedir}/ext2fs
%multiarch %dir %{multiarch_includedir}/ext2fs
%multiarch %{multiarch_includedir}/ext2fs/ext2_types.h
%{_includedir}/ss
%{_includedir}/e2p/e2p.h
%{_includedir}/com_err.h
%{_mandir}/man3/com_err.3*


%changelog
* Wed Feb 08 2023 tex - 1.47.0-2pclos2023
- back down to 1.46.6

* Tue Feb 07 2023 tex - 1.47.0-1pclos2023
- new version

* Sun Feb 05 2023 tex - 1.46.6-1pclos2023
- new version

* Fri Dec 31 2021 tex - 1.46.5-1pclos2022
- new version

* Fri Aug 20 2021 tex - 1.46.4-1pclos2021
- new version

* Fri Aug 06 2021 tex - 1.46.3-2pclos2021
- apply upstream patch

* Tue Jul 27 2021 tex - 1.46.3-1pclos2021
- new version

* Mon Mar 01 2021 tex - 1.46.2-1pclos2021
- new version

* Wed Feb 10 2021 tex - 1.46.1-1pclos2021
- new version

* Sat Jan 30 2021 tex - 1.46.0-1pclos2021
- new version

* Fri Jan 29 2021 tex - 1.45.7-1pclos2021
- new version

* Sun Mar 22 2020 tex - 1.45.6-1pclos2020
- new version

* Tue Jan 07 2020 tex - 1.45.5-1pclos2020
- new version

* Tue Sep 24 2019 tex - 1.45.4-1pclos2019
- new version

* Mon Jul 15 2019 tex - 1.45.3-1pclos2019
- new version

* Wed May 29 2019 tex - 1.45.2-1pclos2019
- new version

* Sun May 26 2019 tex - 1.45.1-2pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.45.1-1pclos2019
- new version

